Bug 1289170 - LVM created in RHEL7 is not detected in RHEL6
LVM created in RHEL7 is not detected in RHEL6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: udisks (Show other bugs)
6.8
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Tomas Smetana
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 10:12 EST by Martin Krajnak
Modified: 2016-05-18 05:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-25 08:05:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Krajnak 2015-12-07 10:12:57 EST
Description of problem:
RHEL6 cannot detect LVM created on two flashdisks in RHEL7. gnome-disk-utility shows only two flashdisks, no LVM partitions are present.

Version-Release number of selected component (if applicable):
kernel-2.6.32-573.el6.x86_64
udisks-1.0.1-9.el6.x86_64
gnome-disk-utility-2.30.1-3.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.create LVM in RHEL7
2.reboot to Rhel6
3.open gnome-disk-utility

Actual results:
No LVM partition are present

Expected results:
LVM partitions should be present and possible to mount 

Additional info:
Output for udisks --dump on RHEL6:

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sdb
  native-path:                 /sys/devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2:1.0/host6/target6:0:0/6:0:0:0/block/sdb
  device:                      8:16
  device-file:                 /dev/sdb
    presentation:              /dev/sdb
    by-id:                     /dev/disk/by-id/lvm-pv-uuid-qShi6I-8Qvj-d1x6-L47S-Gms8-QC5w-UvxbEb
    by-id:                     /dev/disk/by-id/usb-Verbatim_Store_n_Go_Drive_100000000000295-0:0
    by-path:                   /dev/disk/by-path/pci-0000:00:14.0-usb-0:2:1.0-scsi-0:0:0:0
  detected at:                 Mon 07 Dec 2015 03:44:54 PM CET
  system internal:             0
  removable:                   1
  has media:                   1 (detected at Mon 07 Dec 2015 03:44:54 PM CET)
    detects change:            1
    detection by polling:      1
    detection inhibitable:     1
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        2013265920
  block size:                  512
  job underway:                no
  usage:                       raid
  type:                        LVM2_member
  version:                     LVM2\x20001
  uuid:                        qShi6I-8Qvj-d1x6-L47S-Gms8-QC5w-UvxbEb
  label:                       
  drive:
    vendor:                    Verbatim
    model:                     Store n Go Drive
    revision:                  1100
    serial:                    100000000000295
    WWN:                       
    detachable:                1
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 not available

========================================================================
Showing information for /org/freedesktop/UDisks/devices/sdc
  native-path:                 /sys/devices/pci0000:00/0000:00:14.0/usb2/2-1/2-1:1.0/host4/target4:0:0/4:0:0:0/block/sdc
  device:                      8:32
  device-file:                 /dev/sdc
    presentation:              /dev/sdc
    by-id:                     /dev/disk/by-id/lvm-pv-uuid-L23Tm5-VhUV-nI4e-RBVD-tW7v-1X6P-XPL4UG
    by-id:                     /dev/disk/by-id/usb-Verbatim_Store_n_Go_Drive_100000000000707-0:0
    by-path:                   /dev/disk/by-path/pci-0000:00:14.0-usb-0:1:1.0-scsi-0:0:0:0
  detected at:                 Mon 07 Dec 2015 02:31:49 PM CET
  system internal:             0
  removable:                   1
  has media:                   1 (detected at Mon 07 Dec 2015 02:31:49 PM CET)
    detects change:            1
    detection by polling:      1
    detection inhibitable:     1
    detection inhibited:       0
  is read only:                0
  is mounted:                  0
  mount paths:             
  mounted by uid:              0
  presentation hide:           0
  presentation nopolicy:       0
  presentation name:           
  presentation icon:           
  size:                        2013265920
  block size:                  512
  job underway:                no
  usage:                       raid
  type:                        LVM2_member
  version:                     LVM2\x20001
  uuid:                        L23Tm5-VhUV-nI4e-RBVD-tW7v-1X6P-XPL4UG
  label:                       
  drive:
    vendor:                    Verbatim
    model:                     Store n Go Drive
    revision:                  1100
    serial:                    100000000000707
    WWN:                       
    detachable:                1
    can spindown:              0
    rotational media:          Yes, unknown rate
    write-cache:               unknown
    ejectable:                 0
    adapter:                   Unknown
    ports:
    similar devices:
    media:                     
      compat:                 
    interface:                 usb
    if speed:                  480000000 bits/s
    ATA SMART:                 not available

========================================================================
Comment 1 Tomas Smetana 2016-04-11 03:35:05 EDT
Hi,
  it is highly unlikely this will ever get fixed in RHEL-6. However:

Does RHEL-7 udisks2 (or some  mount the flash disks correctly?
Can you mount the LVM partition by the standard CLI tools (not udisks) in RHEL-6?

Thanks and regards.
Comment 2 Martin Krajnak 2016-04-13 07:56:01 EDT
yes, it is possible,
after connecting devices with lvm run as root:

$vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "vol_grp1" using metadata type lvm2
#vgchange -a y
  3 logical volume(s) in volume group "vol_grp1" now active

then you can mount logical volumes:

mount /dev/vol_grp1/logical_vol1 /mnt/vol1/
mount /dev/vol_grp1/logical_vol2 /mnt/vol2/
mount /dev/vol_grp1/logical_vol3 /mnt/vol3/

tested on 6.8
Comment 3 Tomas Smetana 2016-04-20 06:15:23 EDT
OK. So if the flash disks are plugged into another system (not the one they were created on), does gnome-disks find them? No matter which OS...
Comment 4 Tomas Smetana 2016-04-25 08:05:39 EDT
I was not able to make this work (automatically recognizing LVM on a flash drive) well even under a recent Fedora. I seriously don't think anybody is going to implement the LVM support in the ancient RHEL-6 udisks.

I think WONTFIX is actually appropriate in this case.

Note You need to log in before you can comment on or make changes to this bug.